LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::rendering::EmphasisMark Constant Group Reference

These constants control the automatic rendering of emphasis marks. More...

## Variables
const byte | NONE = 0
| No automatic emphasis marks. More...
const byte | DOT_ABOVE = 1
| Automatic emphasis marks as dots above the glyphs. More...
const byte | DOT_BELOW = 2
| Automatic emphasis marks as dots below the glyphs. More...
const byte | CIRCLE_ABOVE = 3
| Automatic emphasis marks as circles (unfilled outlines) above the glyphs. More...
const byte | CIRCLE_BELOW = 4
| Automatic emphasis marks as circles (unfilled outlines) below the glyphs. More...
const byte | DISC_ABOVE = 5
| Automatic emphasis marks as discs (filled circles) above the glyphs. More...
const byte | DISC_BELOW = 6
| Automatic emphasis marks as discs (filled circles) below the glyphs. More...
const byte | ACCENT_ABOVE = 7
| Automatic emphasis marks as accent marks above the glyphs. More...
const byte | ACCENT_BELOW = 8
| Automatic emphasis marks as accent marks below the glyphs. More...

## Detailed Description

These constants control the automatic rendering of emphasis marks.

These constants control the automatic rendering of emphasis marks for a given font.

Since
  OOo 2.0

## Variable Documentation

## ◆ ACCENT_ABOVE

const byte ACCENT_ABOVE = 7

Automatic emphasis marks as accent marks above the glyphs.

## ◆ ACCENT_BELOW

const byte ACCENT_BELOW = 8

Automatic emphasis marks as accent marks below the glyphs.

## ◆ CIRCLE_ABOVE

const byte CIRCLE_ABOVE = 3

Automatic emphasis marks as circles (unfilled outlines) above the glyphs.

## ◆ CIRCLE_BELOW

const byte CIRCLE_BELOW = 4

Automatic emphasis marks as circles (unfilled outlines) below the glyphs.

## ◆ DISC_ABOVE

const byte DISC_ABOVE = 5

Automatic emphasis marks as discs (filled circles) above the glyphs.

## ◆ DISC_BELOW

const byte DISC_BELOW = 6

Automatic emphasis marks as discs (filled circles) below the glyphs.

## ◆ DOT_ABOVE

const byte DOT_ABOVE = 1

Automatic emphasis marks as dots above the glyphs.

## ◆ DOT_BELOW

const byte DOT_BELOW = 2

Automatic emphasis marks as dots below the glyphs.

## ◆ NONE

const byte NONE = 0

No automatic emphasis marks.